#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'daftar_disposisi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
            #{if aktifUser.jabatan != null}
                #{if showButtonTambahDisposisi && (aktifUser.jabatan.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_KASI) ||
                aktifUser.jabatan.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_KASUBDIT) ||
                aktifUser.jabatan.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_DIREKTUR))}
                    <a href="@{katalog.PermohonanPembaruanCtr.createDispo(id)}" class="btn btn-primary btn-md"><i
                            class="fa fa-plus"></i> &{'tambah.label'} &{'disposisi.label'}</a>
                #{/if}
            #{/if}
            #{if showButtonKirimDisposisi }
                <a id="btnKirim" href="#" class="btn btn-warning btn-md"><i
                        class="fa fa-send"></i> &{'kirim.label'} &{'disposisi.label'}</a>
            #{/if}
            #{if showButtonSetujuTolakData && !showButtonSetujuTolakDisposisi}
                <a href="#" onclick="openForm()" class="btn btn-success btn-md open-approval-data"><i
                        class="fa fa-users"></i> &{'butuh_pihak_ketiga.label'}</a>
            #{/if}
            </div>
        #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblDisposisi">
                        <thead>
                        <tr>
                            <th class="header-center">&{'dibuat_oleh.label'}</th>
                            <th class="header-center">&{'catatan.label'}</th>
                            <th class="header-center">&{'file.label'}</th>
                            <th class="header-center">&{'tanggal_dibuat.label'}</th>
                            <th class="header-center">&{'tanggal_diubah.label'}</th>
                            <th class="header-center">&{'aksi.label'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:disposisi, as:'item'}
                        <tr>
                            <td>${item?.nama_lengkap}</td>
                            <td>${item?.deskripsi}</td>
                            <td class="text-center"><a href="${item?.getFileUrl()}">${item?.nama_file}</a></td>
                            <td class="text-center">${item?.getCreatedDate()}</td>
                            <td class="text-center">${item?.getModifiedDate()}</td>
                            <td class="text-center">
                                #{if !showButtonTambahDisposisi && (showButtonKirimDisposisi || showButtonSetujuTolakData)}
                                    #{if aktifUser.user_id.equals(new Long(item.created_by))}
                                        #{if !aktifUser.jabatan.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_KASI)}
                                            <a href="@{katalog.PermohonanPembaruanCtr.editDispo(item.id)}"
                                               class="btn btn-primary btn-md">&{'ubah.label'}</a>
                                        #{/if}
                                        #{if aktifUser.jabatan.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_KASI) && showButtonSetujuTolakData && !showButtonSetujuTolakDisposisi}
                                            <a href="@{katalog.PermohonanPembaruanCtr.editDispo(item.id)}"
                                               class="btn btn-primary btn-md">&{'ubah.label'}</a>
                                        #{/if}
                                    #{/if}
                                #{/if}
                            </td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="formPersetujuan" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.perluVerifikasiPihakKetiga(), method:'POST', id:'formSetuju'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'form_persetujuan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'alasan.label'}</p>
                            #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control alasan" value="" id="alasan" name="alasan"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input class="form-control tipe" value="" id="tipe" name="tipe" style="display: none"/>
                    <input class="form-control setujuTolak" value="" id="setujuTolak" name="setujuTolak"
                           style="display: none"/>
                    <input class="form-control permId" value="${id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetuju()" class="btn btn-primary setuju"
                            id="setuju">&{'ya.label'}</button>&nbsp;
                    <button type="button" onclick="submitTolak()" class="btn btn-danger tolak"
                            id="tolak">&{'tidak.label'}</button>
                </div>
            </div>
        </div>
    #{/form}
    </div>

    <!-- form select user ketika kirim dispo -->
    <div class="modal fade" id="selectUser" role="dialog">
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'kirim_ke.label'} <b style="text-transform: capitalize">${dispoKe}</b></h4>
                </div>
                <div class="modal-body">
                    <div class="row" id="daftar_user_kirim_ke">
                        <input style="display: none" class="form-control" value="${id}" id="idPermohonan" name="idPermohonan"/>
                        <div class="col-lg-12">
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <select class="form-control select2" style="width: 100%" id="kirimKeUser" name="kirimKeUser">
                                        <option value="">&{'pilih.label'}</option>
                                    #{list sendToUser, as:'u'}
                                        <option value="${u.id}">${u.nama_lengkap} [${u.user_name}]</option>
                                    #{/list}
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="showWarning()" class="btn btn-primary" id="btnSendToUser">&{'kirim.label'}</button>&nbsp;
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    </div>
</div>


#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>
<script type="text/javascript">

    $(document).ready(function(){
        $("#btnKirim").on("click", function (e) {
            e.preventDefault();

            openFormSendTo();
        });
    });

    function showWarning() {
        if ($('#kirimKeUser').val() == "" || $('#kirimKeUser').val() == null) {
            showToast(1);
        } else {
            var toUser = $('#kirimKeUser').val();
            var permId = $('#idPermohonan').val();
            var msg = "&{'warning_kirim_disposisi.label'}";
            var conf = confirm(msg);
            var param = "?permId="+permId+"&"+"toUser="+toUser;
            //console.log("param "+param);
            var href = "@{katalog.PermohonanPembaruanCtr.kirimDisposisi(param)}";
            //console.log("testeststst"+href+param);

            if (conf == true) {
                window.location.href = href+param;
                //$("#btnKirim").click();
            }
        }
    }

    function openFormSendTo() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#selectUser').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("data");
        $('#modalTitle').text("&{'butuh_pihak_ketiga.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        var reason = document.getElementById('alasan').value;
        if(reason == ""){
            showToast(0);
        }else{
            $('#setujuTolak').val('ya');
            $('#alasan').val(reason);
            $('#formSetuju').submit();
        }
    }

    function submitTolak() {
        var reason = document.getElementById('alasan').value;
        if(reason == ""){
                showToast(0);
        }else{
            $('#setujuTolak').val('tidak');
            $('#alasan').val(reason);
            $('#formSetuju').submit();
        }
    }

    function showToast(tipe) {
        if (tipe == 0){
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        } else {
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_user_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }
    }
</script>
#{/set}